Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.server.deployment
Class PortalWebTomcat6App

    java.lang.Object
      org.jboss.portal.server.deployment.PortalWebApp
          org.jboss.portal.server.deployment.PortalWebTomcat6App

All Implemented Interfaces:
  org.jboss.portal.web.WebApp

    public class PortalWebTomcat6App

extends PortalWebApp

Version:
  $Revision: 8784 $
Author:
  Julien Viet

Field Summary

Fields inherited from class org.jboss.portal.server.deployment.PortalWebApp
`log`

Constructor Summary
`PortalWebTomcat6App(org.jboss.web.WebApplication webApp, javax.management.MBeanServer server, org.xml.sax.EntityResolver jbossAppEntityResolver)`

Method Summary
`void` | `instrument()` Instrument the web application.

Methods inherited from class org.jboss.portal.server.deployment.PortalWebApp
`getClassLoader, getContextPath, getDescriptor, getId, getServletContext, getURL, importFile, init, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PortalWebTomcat6App

    public PortalWebTomcat6App(org.jboss.web.WebApplication webApp,
                               javax.management.MBeanServer server,
                               org.xml.sax.EntityResolver jbossAppEntityResolver)
                        throws CannotCreatePortletWebAppException

Throws:
  `CannotCreatePortletWebAppException`

Method Detail

### instrument

    public void instrument()
                    throws java.lang.Exception

  Description copied from class: `PortalWebApp`
  Instrument the web application.

  Specified by:
    `instrument` in class `PortalWebApp`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD